package Database

import (
	_ "github.com/go-sql-driver/mysql"
)

var schema = []string{
	`CREATE TABLE IF NOT EXISTS DB_Channel (
    cid INT AUTO_INCREMENT PRIMARY KEY,
    channel_name VARCHAR(255) NOT NULL
);`,
	`CREATE TABLE IF NOT EXISTS DB_User (
    uid INT AUTO_INCREMENT PRIMARY KEY,
    display_name VARCHAR(255),
    username VARCHAR(255) NOT NULL
);`,
	`CREATE TABLE IF NOT EXISTS DB_User_Channel (
    fk_uid INT NOT NULL,
    fk_cid INT NOT NULL,
    points INT NOT NULL,
    is_admin BOOLEAN default(false),
    FOREIGN KEY (fk_uid) REFERENCES DB_User(uid),
    FOREIGN KEY (fk_cid) REFERENCES DB_Channel(cid)
);`,
}
